Bug 1287819 - HID: multitouch: enable palm rejection if device implements confidence usage
HID: multitouch: enable palm rejection if device implements confidence usage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://github.com/advancingu/XPS13Li...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 13:39 EST by Guillaume Kulakowski
Modified: 2015-12-16 09:35 EST (History)
7 users (show)

See Also:
Fixed In Version: kernel-4.2.7-300.fc23 kernel-4.2.7-200.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 03:25:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2015-12-02 13:39:15 EST
Description of problem:
Currently, there isn't palm rejection if device implements confidence usage.

The usage Confidence is mandary to Windows Precision Touchpad devices. The appearance of this usage is checked in hidinput_connect but the quirk MT_QUIRK_VALID_IS_CONFIDENCE is not applied to device accordingly. Apply this quirk and also remove quirk MT_QUIRK_ALWAYS_VALID to enable palm rejection for the WIN 8 touchpad devices which have implemented usage Confidence in its input reports.

Additional info:
There is a patch: https://git.kernel.org/cgit/linux/kernel/git/jikos/hid.git/commit/?h=for-next&id=25a84db15b3f3a24d3ea7d2baf90693bcff34b0c

This patch is queued for 4.5 merge. It can be a good thing to add this patch on Fedora Kernel ?
Comment 1 Josh Boyer 2015-12-02 14:27:36 EST
Benjamin, is this worth backporting to a 4.3/4.4 based kernel?  I'm not sure if it depends on other commits.
Comment 2 Benjamin Tissoires 2015-12-02 17:22:31 EST
No there are no dependencies, it should be fine on its own. Having this in a fedora kernel would also be good for me to be sure we did not break other touchpads :)

So I am all for backporting it and see if we have other bugs reports.

Thanks!
Comment 3 Josh Boyer 2015-12-03 11:05:05 EST
Thanks!  Added on all branches now.
Comment 4 Guillaume Kulakowski 2015-12-03 11:17:41 EST
Hi,

> Thanks!  Added on all branches now.
Is there a build on koji.

Best regards,
Comment 5 Josh Boyer 2015-12-03 11:45:47 EST
Not yet.  It will be included in whatever build happens next.  For rawhide, that just kicked off and will be 4.4.0-0.rc3.git4.1 I think.  The rest of the branches will get updates filed and bodhi will leave comments in this bug.
Comment 6 Fedora Update System 2015-12-10 09:44:15 EST
kernel-4.2.7-300.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ac9a19888e
Comment 7 Fedora Update System 2015-12-10 09:45:29 EST
kernel-4.2.7-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c4ed00a68f
Comment 8 Fedora Update System 2015-12-11 01:00:32 EST
kernel-4.2.7-300.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kernel'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ac9a19888e
Comment 9 Fedora Update System 2015-12-11 14:57:07 EST
kernel-4.2.7-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update kernel'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c4ed00a68f
Comment 10 Fedora Update System 2015-12-16 03:24:12 EST
kernel-4.2.7-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-12-16 04:51:08 EST
kernel-4.2.7-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-12-16 09:35:16 EST
kernel-4.2.7-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.